> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mile.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Move multiple tasks



## OpenAPI

````yaml /openapi/public/openapi-task.json put /tasks/bulk/move
openapi: 3.0.0
info:
  title: MileApp API - Task
  version: 3.0.0
  description: MileApp API Documentation - RESTful API for field operations management.
servers:
  - url: https://apiweb.mile.app/api/v3
security:
  - bearerAuth: []
tags:
  - name: Task
    description: >-
      A task is an item of work intended for completion by an assignee. It can
      embody activities like pickups, deliveries, planning, inspections, sales
      visits, or other work-related actions within your organization. Tasks
      encompass essential attributes, including IDs, flow, time, status
      indicators, assignee information, order index, and other pertinent data.
      The content of a task is configurable based on your specified flow
      settings. For instance, tasks can serve as visits during the route
      optimization process, functioning as pivotal elements. The task can also
      represent a visit in route optimization, please follow [this
      link](#tag/Routing) to read more detail.


      **To see the details of task object, please follow [this
      link](#tag/task_model)**
  - name: Location History
    description: >-
      Location history is data that stores the user's location points that are
      sent periodically from the MileApp mobile application if the user
      activates the tracking feature. However, this endpoint can also be useful
      for integration into the user's IoT devices such as GPS or other mobile
      trackers. All location data sent can be visualized in MileApp in real time
      and makes it easier for users to monitor field activities more accurately.


      **Related Guide:** [Start Finish
      Feature](/configuration/start-trip-end-trip-feature)
  - name: Task Schedule
    description: >-
      Task Schedule is a mechanism to generate tasks according to the schedule
      that is set by you. The task schedule attributes consist of IDs,
      repetition period data (daily, weekly, etc.), flow structure, task
      content, and time of the schedule's start & end. This schedule could help
      you to set a task that will be repeated at a certain period.


      **To see the details of task schedule object, please follow [this
      link](#tag/task_schedule_model)**
paths:
  /tasks/bulk/move:
    put:
      tags:
        - Task
      summary: Move multiple tasks
      operationId: task/putBulkMove
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/putMoveBulkRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                title: NetworkBulkMoveResponse
                properties:
                  success:
                    description: Total success move task.
                    type: integer
                  failed:
                    description: Total failed move task.
                    type: integer
                  tasks:
                    description: Detail of move task.
                    type: array
                    items:
                      type: object
                      properties:
                        status:
                          type: boolean
                          description: Status of response.
                        _id:
                          description: Task ID
                          type: string
                        message:
                          description: Message of move task
                          type: string
                example:
                  success: 2
                  failed: 0
                  tasks:
                    - status: true
                      message: Success
                      _id: 62067ee1cd77000042006f89
                    - status: true
                      message: Success
                      _id: 62067ee3cd77000042006f8b
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Bad request - invalid parameters provided.
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Internal server error, please contact support@mile.app.
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    putMoveBulkRequest:
      title: putMoveBulkRequest
      example:
        tasks:
          - _id: 62067ee1cd77000042006f89
            hubId: 634e98498ce07d29474a7e29
          - _id: 62067ee3cd77000042006f8b
            hubId: 634e98498ce07d29474a7e29
      type: object
      properties:
        tasks:
          type: array
          items:
            type: object
            properties:
              _id:
                type: string
                description: >-
                  An identity that is automatically generated as a technical
                  identification of a task.

                  **Example:** `6352736c628401059b37a2e2`
              hubId:
                type: string
                description: >-
                  Fundamental entity within an organization, serving as the
                  central point for managing various operational components. Use
                  **GET /hubs** endpoint to get the list of Hub IDs.
                  **Example:** `634e98498ce07d29474a7e29`
      required:
        - tasks
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use a valid Bearer token to authenticate.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.